# class PluginArray

#### package js.html

Available on HTML5

The `PluginArray` interface is used to store a list of `Plugin` objects describing the available plugins; it's returned by the `window.navigator.plugins` property. The `PluginArray` is not a JavaScript array, but has the `length` property and supports accessing individual items using bracket notation (`plugins[2]`), as well as via `item(index)` and `namedItem("name")` methods.

Documentation PluginArray by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/PluginArray

### Variables

###

`read onlylength:Int`

### Methods

###

`item (index:Int):Plugin`

###

`namedItem (name:String):Plugin`

###

`refresh (reloadDocuments:Bool = false):Void`